Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jbpm
Class MuleSendActivity

    java.lang.Object
      org.jbpm.jpdl.internal.activity.JpdlActivity
          org.mule.transport.jbpm.MuleSendActivity

All Implemented Interfaces:
  Serializable, org.jbpm.api.activity.ActivityBehaviour, org.jbpm.api.listener.EventListener

    public class MuleSendActivity

extends org.jbpm.jpdl.internal.activity.JpdlActivity
implements org.jbpm.api.listener.EventListener

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.jpdl.internal.activity.JpdlActivity
`dbid`

Constructor Summary
`MuleSendActivity()`

Method Summary
`void` | `execute(org.jbpm.api.activity.ActivityExecution execution)`
`String` | `getEndpoint()`
`String` | `getPayloadExpression()`
`Class` | `getResponsePayloadClass()`
`String` | `getResponseVariableName()`
`boolean` | `isSynchronous()`
`void` | `notify(org.jbpm.api.listener.EventListenerExecution execution)`
`void` | `perform(org.jbpm.api.model.OpenExecution execution)`
`void` | `setEndpoint(String endpoint)`
`void` | `setPayloadExpression(String payloadExpression)`
`void` | `setResponsePayloadClass(String className)`
`void` | `setResponseVariableName(String responseVariableName)`
`void` | `setSynchronous(boolean synchronous)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleSendActivity

    public MuleSendActivity()

Method Detail

### execute

    public void execute(org.jbpm.api.activity.ActivityExecution execution)
                 throws Exception

  Specified by:
    `execute` in interface `org.jbpm.api.activity.ActivityBehaviour`
  Throws:
    `Exception`

### notify

    public void notify(org.jbpm.api.listener.EventListenerExecution execution)
                throws Exception

  Specified by:
    `notify` in interface `org.jbpm.api.listener.EventListener`
  Throws:
    `Exception`

### perform

    public void perform(org.jbpm.api.model.OpenExecution execution)
                 throws Exception

  Throws:
    `Exception`

### isSynchronous

    public boolean isSynchronous()

### setSynchronous

    public void setSynchronous(boolean synchronous)

### getEndpoint

    public String getEndpoint()

### setEndpoint

    public void setEndpoint(String endpoint)

### getPayloadExpression

    public String getPayloadExpression()

### setPayloadExpression

    public void setPayloadExpression(String payloadExpression)

### getResponseVariableName

    public String getResponseVariableName()

### setResponseVariableName

    public void setResponseVariableName(String responseVariableName)

### setResponsePayloadClass

    public void setResponsePayloadClass(String className)

### getResponsePayloadClass

    public Class getResponsePayloadClass()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.